[Rivet-svn] r2237 - trunk/test

blackhole at projects.hepforge.org blackhole at projects.hepforge.org
Tue Feb 2 12:24:20 GMT 2010


Author: fsiegert
Date: Tue Feb  2 12:24:19 2010
New Revision: 2237

Log:
Add test for different ways of using the rivet command line, to catch bugs like the one fixed in the last commit.

Added:
   trunk/test/testCmdLine.sh   (contents, props changed)
Modified:
   trunk/test/   (props changed)
   trunk/test/Makefile.am

Modified: trunk/test/Makefile.am
==============================================================================
--- trunk/test/Makefile.am	Tue Feb  2 11:17:08 2010	(r2236)
+++ trunk/test/Makefile.am	Tue Feb  2 12:24:19 2010	(r2237)
@@ -16,7 +16,10 @@
 
 export RIVET_REF_PATH=$(datadir)/Rivet
 export RIVET_DATA_PATH=$(datadir)/Rivet
+export LD_LIBRARY_PATH=$(top_builddir)/src:$(top_builddir)/src/.libs:$(top_builddir)/src/Analyses/.libs:$(HEPMCLIBPATH):$(FASTJETLIBPATH)
+export PYTHONPATH=$(shell ls -d $(top_builddir)/pyext/build/lib.*)
+export PATH=$(top_builddir)/bin:$(shell echo $$PATH)
 
-TESTS = testMatVec testBoost testCmp testApi
+TESTS = testMatVec testBoost testCmp testApi testCmdLine.sh
 
 EXTRA_DIST = testApi.hepmc

Added: trunk/test/testCmdLine.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/test/testCmdLine.sh	Tue Feb  2 12:24:19 2010	(r2237)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+cp testApi.hepmc file2.hepmc
+(rivet -a D0_2008_S7554427 testApi.hepmc file2.hepmc | grep -q "20 events") || exit 1
+(cat testApi.hepmc | rivet -a D0_2008_S7554427 | grep -q "10 events") || exit 1
+mkfifo fifo.hepmc
+(cat testApi.hepmc > fifo.hepmc & rivet -a D0_2008_S7554427 fifo.hepmc | grep -q "10 events") || exit 1
+rm -f fifo.hepmc
+rm -f file2.hepmc


More information about the Rivet-svn mailing list